:root {
  /* Font families */
  /* ----------------------------------------------------------------------*/
  /* Used for interface elements */
  --t-interface-font: "Inter UI", system-ui, sans-serif;
  /* Used for flowing text, such as paragraphs */
  --t-text-font: "Inter UI", system-ui, sans-serif;
  /* used for code, URLS, etc */
  --t-code-font: Monaco, "Courier New";
  /* Font sizes */
  /* ----------------------------------------------------------------------*/
  /* Used for main text */
  --t-text-font-size: 17px;
  /* Used for authors list */
  --t-large-font-size: 19px;
  /* Table of contents */
  --t-small-font-size: 14px;
  /* Used in toolbars and section labels */
  --t-tiny-font-size: 12px;
  /* Used in toolbar dropdown menus */
  --t-dropdown-font-size: 11px;
  /* E.g. article title */
  --t-title-font-size: 15px;
  /* Heading level 1 */
  --t-h1-font-size: 35px;
  /* Heading level 2 */
  --t-h2-font-size: 21px;
  /* Heading level 3 */
  --t-h3-font-size: 19px;
  /* Heading level 4 */
  --t-h4-font-size: 17px;
  /* Font weights */
  /* ----------------------------------------------------------------------*/
  --t-normal-font-weight: 400;
  /* Normal text weight */
  --t-bold-font-weight: 500;
  /* Strong emphasis */
  /* Line heights */
  /* ----------------------------------------------------------------------*/
  /* Used in main text */
  --t-default-line-height: 1.5;
  /* Colors */
  /* ----------------------------------------------------------------------*/
  /* Default background color, used when we need to cover content, e.g. in overlays */
  --t-background-color: #fff;
  /* Light (greyish) background color */
  --t-light-background-color: #2e72ea0a;
  /* Background for action buttons */
  --t-action-background-color: #4e4e4e;
  /* Button backgorund */
  --t-default-button-background: #f7f7f9;
  /* Main text color, used in the article */
  --t-text-color: #111;
  /* Used to display error message */
  --t-error-text-color: #c80000;
  /* Inverted text color, to put on dark elements */
  --t-inverted-text-color: #fff;
  /* Used for section labels, card labels etc. */
  --t-light-text-color: #888;
  /* Used for input placeholders */
  --t-placeholder-text-color: #ccc;
  /* Used for focus border, e.g. selected card, or text input */
  --t-focus-color: rgb(145, 189, 240);
  /* E.g. citations of references, figures, etc. */
  --t-action-color: #2e72ea;
  /* Used to display warning icons */
  --t-warning-color: #ffaf46;
  /* Used to display error message */
  --t-error-color: rgba(200, 0, 0, 0.25);
  /* Default light border color */
  --t-border-color: #ddd;
  --info-background-color: #c5dbd3;
  --primary-color: #24afad;
  /* Paddings */
  /* ----------------------------------------------------------------------*/
  --t-half-spacing: 10px;
  /* Half of the default spacing */
  --t-default-spacing: 15px;
  /* Default padding to create some whitespace, e.g. in figure */
  --t-text-spacing: 15px;
  /* Used as the margin between content elements */
  --t-double-spacing: 5px;
  /* Double of the default spacing */
  --t-input-padding: 4px;
  /* Padding used input boxes */
  --t-cell-padding: 6px;
  /* Padding used table cells */
  --t-button-padding: 7px;
  /* Padding used by buttons */
  /* Margins */
  /* ----------------------------------------------------------------------*/
  --t-flowing-content-margin: 20px 0;
  /* Space between content elements, e.g. between two paragraphs */
  /* Borders */
  /* ----------------------------------------------------------------------*/
  --t-input-default-border: 2px solid transparent;
  --t-input-outline-border: 2px solid var(--t-border-color);
  --t-input-focus-border: 2px solid rgb(145, 189, 240);
  --t-negative-input-padding: -6px;
  /* This must be the negative of input padding + default border width */
  --t-negative-list-padding: -4px;
  /* Same, but without borders. Used in comma-separated lists. */
  --t-border-radius: 5px;
  /* Default border radius for rounded corners */
  --t-tool-border-radius: 3px;
  /* Default border radius for tools */
  --t-default-border: 1px solid var(--t-border-color);
  --info-border-color: #24afdf;
  /* Box shadows */
  /* ----------------------------------------------------------------------*/
  --t-default-box-shadow: 0 0 0 0.75pt #d1d1d1, 0 0 3pt 0.75pt #ccc;
  --t-popup-box-shadow: 0 2px 10px -2px rgba(0, 0, 0, 0.8);
  /* Substance Styles */
  /* ----------------------------------------------------------------------*/
  --t-small-layout-width: 300px;
  --t-medium-layout-width: 620px;
  --t-large-layout-width: 960px;
  --t-separator-color: rgba(0, 0, 0, 0.05);
}
.container {
  margin-right: 5%;
  margin-left: 5%;
}
.multiselect:hover {
  cursor: pointer;
}
.vuejs3-form-row > select:hover {
  cursor: pointer;
}
#article {
  font-family: var(--t-interface-font);
  text-align: left;
  margin-bottom: var(--t-text-spacing);
}

#id-save-text,
#id-getrefs-text {
  background-color: #f9fbc1;
  color: red;
  font-size: 12px;
  content: " ";
}

h1 {
  font-size: 23px;
}

h2 {
  font-size: 21px;
}

h3 {
  font-size: 19px;
}

h4 {
  font-size: 17px;
}

.sc-text-input {
  width: 100%;
  border-radius: 5px;
  padding: var(--t-input-padding);
  border: var(--t-input-default-border);
  margin: var(--t-negative-input-padding);
  color: var(--t-text-color);
  background-color: transparent !important;
  font-weight: var(--t-normal-font-weight);
  font-family: var(--t-interface-font);
}

.sc-textarea-input {
  width: 100%;
  resize: vertical;
  height: 5em;
}

.sc-textarea-input-tall {
  height: 10em;
}

/*.sc-text-input.sm-editable .se-input:hover*/
input[type="text"]:focus {
  border: var(--t-input-focus-border) !important;
  outline: transparent;
}

.article-heading {
  display: flex;
  justify-content: space-between;
  max-width: 800px;
  margin: 30px 0px 0px 0px;
  border-radius: 4px;
  font-size: var(--t-h1-font-size);
  cursor: default;
}

.sc-card {
  position: relative;
  width: 100%;
  box-shadow: var(--t-default-box-shadow);
  margin: var(--t-double-spacing) 0;
  margin-top: var(--t-text-spacing);
  font-size: var(--t-small-font-size);
}

.sc-card.sm-selected {
  outline: var(--t-input-focus-border);
}

.sc-card>.se-label {
  position: absolute;
  top: -10px;
  left: var(--t-double-spacing);
  padding: 0px var(--t-default-spacing);
  background: var(--t-background-color);
  color: var(--t-light-text-color);
  cursor: default;
}

.sc-card.sm-selected>.se-label {
  background: var(--t-focus-color);
  color: var(--t-inverted-text-color);
}

.sc-card .sc-form-row {
  margin: var(--t-default-spacing) 0;
}

.sc-card>* {
  padding: var(--t-default-spacing);
}

.sc-card>*>.se-header {
  font-size: var(--t-text-font-size);
  margin-bottom: var(--t-default-spacing);
  margin-top: 0px;
  cursor: default;
}

.sc-card>*>.se-footer {
  display: flex;
  justify-content: space-between;
  margin: 0;
}

.sc-card>*>.se-footer>.se-control {
  font-size: 12px;
  color: var(--t-action-color);
  cursor: pointer;
  margin-bottom: 0px;
}

.sc-card>*>.se-footer>.se-control>.se-icon {
  margin-right: 10px;
}

.sc-card,
.sc-plus {
  margin-left: 10px;
}

.sc-card-ref {
  min-height: 650px;
  margin-left: 0px;
  box-shadow: none;
  display: flex;
  flex-direction: column;
}

.sc-form-row {
  position: relative;
  display: flex;
  align-items: center;
}

.sc-form-row>.se-label {
  cursor: default;
  display: block;
  flex: 0 0 90px;
  font-size: var(--t-tiny-font-size);
  color: var(--t-light-text-color);
}

.sc-form-row>.se-label::after {
  content: ":";
}

.sc-form-row>.se-editor {
  width: 100%;
  border: 1px solid #ddd;
}

.sc-form-row.invalid-field>.se-label {
  color: red;
  font-weight: bold;
  font-size: large;
}

.sc-form-row.invalid-field>.se-editor,
.sc-form-row.invalid-field>.sc-textarea-input {
  border: 2px solid red;
}

.sc-form-row.invalid-field>.se-editor:focus {
  border: 2px solid red !important;
}

.with-delete {
  max-width: 840px;
}

.more-fields {
  font-size: var(--t-tiny-font-size);
  text-decoration: none;
}

.ref-type {
  padding-bottom: 0px;
}

.ref-content {
  padding-top: 0px;
}

.ref-unknown {
  color: red !important;
  font-weight: bold;
}

.bottom-screen {
  position: fixed;
  height: 80px;
  bottom: 80px;
  left: 20px;
}

.btn-sm {
  padding: 0.05rem 0.3rem;
  border-color: transparent;
}

.btn-primary,
.btn-primary:focus,
.btn-primary:active {
  background-color: #87a2b1;
  border-color: #87a2b1;
  box-shadow: none;
  transition: none;
}

.btn-space {
  margin-left: 5px;
  margin-right: 5px;
}

.btn-needs-save {
  background-color: #0d6efd;
  border-color: #0d6efd;
}

.btn-primary-trad.btn-needs-save {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
  color: white;
}

.ref-preview {
  margin-top: 20px;
  margin-bottom: 20px;
  margin-right: 20px;
}

#ref-preview-left {
  height: 43rem;
  width: 98%;
  min-width: 10vw;
  max-width: 60vw;
  overflow-x: hidden;
  overflow-y: auto;
  border: 1px solid;
}

#ref-preview-right {
  font-size: 14px;
  margin-left: var(--t-text-spacing);
  height: 43rem;
  width: 98%;
  min-width: 10vw;
  max-width: 90vw;
  background-color: #f0f0f0;
  overflow-x: auto;
  overflow-y: auto;
  border: 1px solid;
}

.splitpanes.default-theme .splitpanes__pane {
  background-color: rgba(255, 255, 255, 0.9);
}

.default-theme.splitpanes--vertical>.splitpanes__splitter {
  width: 11px;
  border-left: 1px solid #eee;
  margin-left: -5px;
  border-right: 1px solid #eee;
}

.default-theme.splitpanes--vertical>.splitpanes__splitter::after,
.default-theme.splitpanes--vertical>.splitpanes__splitter::before {
  transform: translateY(-50%);
  width: 2px;
  height: 40px;
  background-color: #6c004d;
}

.ref-selected {
  color: blue;
}

.ref-selected:link,
.ref-selected:visited {
  color: blue;
  text-decoration: none;
}

.ref-selected:hover {
  color: #22427c;
}

.ref-unselected {
  color: black;
}

.ref-unselected:link,
.ref-unselected:visited {
  color: black;
  text-decoration: none;
}

.ref-unselected:hover,
.ref-unselected:active,
.ref-unselected:focus {
  color: #22427c;
}

ul.no-bullets {
  padding: 0;
  list-style-type: none;
}

li.bib-list {
  margin-bottom: 5px;
  align-items: center;
}

#sidebar-menu {
  width: fit-content;
  position: fixed;
  z-index: 1;
  left: 10px;
  display: block;
  padding: 0.5rem 1rem;
  color: #888;
  text-decoration: none;
  font-size: 22px;
}

/* #sidebar-menu a {
  display: block;
  padding: 0.5rem 1rem;
  color: #888;
  text-decoration: none;
  font-size: 14px;
} */

.multiselect__tags {
  display: flex;
  flex-flow: column;
}
#sidebar-menu a.current {
  background: #e4eef3;
}

#sidebar-menu a:hover {
  color: #064579;
}

section {
  padding-top: 0px;
}

input[type="number"] {
  width: 70px;
  padding: 4px 6px;
  border: 1px solid #bbb;
  border-radius: 7px;
}

img {
  max-width: 50%;
  height: auto !important;
}

img.article-body-img {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
  height: auto;
}

.se-ref-header-label {
  margin-left: 10px;
  font-size: var(--t-small-font-size);
  color: var(--t-light-text-color);
}

#fulltext-zone {
  height: 500px;
  width: 100%;
  overflow-y: scroll;
  border: 1px solid #d1d1d1;
  margin-top: 20px;
  padding: 20px;
  color: #6c757d;
  font-size: 13px;
  font-family: Verdana, sans-serif;
}
.splitpanes__pane>button span {
  font-size: 150%;
}
.author-buttons {
  margin: 1%;
}

#fulltext-zone figure {
  text-align: center;
  outline: solid 1px #ccc;
  background: rgba(0, 0, 0, 0.05);
  padding: 10px;
  margin: 10px 20px;
  display: inline-block;
}

span.required-field {
  color: red;
}

#info_to_fill {
  background-color: var(--info-background-color);
  border-color: var(--info-border-color);
}

.btn-primary-trad {
  color: var(--primary-color);
  border-color: var(--primary-color);
}

.btn-primary-trad:hover {
  background-color: var(--primary-color);
  border-color: var(--primary-color);
}

a.anchor {
  display: block;
  position: relative;
  top: -250px;
  visibility: hidden;
}

.with-anchor {
  padding-top: 160px;
  margin-top: -160px;
}

.info-not-editable {
  margin-top: -24px;
}

.max-800 {
  max-width: 800px;
}

.max-1200 {
  max-width: 1200px;
}

.bootstrap-select .selected {
  background-color: #e4eef3;
}

.bootstrap-select .selected.disabled {
  background-color: lightblue;
}

.bootstrap-select.sc-text-input {
  margin-left: -6px;
}

.bootstrap-select .btn-sm {
  padding: 0px;
  padding-left: 4px;
}

.caret {
  display: inline-block;
  width: 0;
  height: 0;
  margin-left: 2px;
  vertical-align: middle;
  border-top: 4px dashed;
  border-top: 4px solid\9;
  border-right: 4px solid transparent;
  border-left: 4px solid transparent;
}

.topic-mandatory {
  background-color: lightblue;
}

#vuejs3 {
  margin-top: 2%;
  width: 130%;
}

#breadcrumb {
  margin-top: -1%;
}

#navbarNavAltMarkup {
  width: 70%;
}
.next-button-to-watch {
  position: sticky;
  left: 100%;
  top: 0%;
}

.vuejs3-label {
  font-size: larger;
}

.token-list {
    border-color: black;
    border-radius: 8%;
    border-style:ridge;
}
.token-remove, .affiliation-remove {
    border-color: black;
    background-color: #cdc4df;
  color: #485cc5;
    border-style: solid;
    border-width: thin;
    border-radius: 50%;
    margin: 5px 
}
.add-token-button, .add-affiliation-button, .add-date-button {
  background-color: #cdc4df;
  color: #485cc5;
  border: none;
  border-radius: 50%;
  width: 24px;
  height: 24px;
  cursor: pointer;
  font-size: 16px;
  display: flex;
  align-items: center;
  justify-content: center;
}
.affiliation-button {
  background-color: #fff;
  color: #485cc5;
  border-radius: 45px;
  min-height: 32px;
}
.remove-reference,
.remove-date,
.move-reference,
.add-reference,
.remove-author,
.move-author,
.add-author {
    z-index: 1;
    background-color: #fff;
    color: #485cc5;
    border-radius: 45px;
    box-shadow: 0 8px 15px #0000001a;
    margin-bottom: 10px;
    transition: all .3s ease 0s;
    cursor: pointer;
    outline: none;
}
.disabled-move-author, .disabled-move-reference {
    z-index: 1;
    background-color: #BCBBBC;
    opacity: 1;
    color: #485cc5;
    border-radius: 45px;
    box-shadow: 0 8px 15px #0000001a;
    margin-bottom: 10px;
    outline: none;
    cursor:not-allowed ;
}

.add-author:hover {
    background-color: #fff;
    box-shadow: 0 15px 20px #19204433;
    transform: translateY(-1px);
}
.remove-author, .remove-reference {
  margin-right: 5px;
}
.reference-in-list-buttons, .author-in-list-buttons{
    flex-shrink: 0; /* Empêche les boutons de rétrécir */
    display: flex; /* Aligne les boutons horizontalement */
    position: sticky;
    left: 90%;
    margin-right: 5px;
    width: fit-content;
    align-items: baseline;
    margin-bottom: -10px;
}

.author-in-list, .reference-in-list {
    /* Prend tout l'espace disponible */
    max-width: 75%;
    white-space: nowrap; /* Empêche le retour à la ligne */
    overflow: hidden; /* Cache le texte qui dépasse */
    text-overflow: ellipsis; /* Affiche "..." si le texte dépasse */
    margin-right: 8px; /* Espacement entre le texte et les boutons */
}
.add-reference:hover {
  background-color: #fff;
  box-shadow: 0 15px 20px #19204433;
}
.sidebar_menu {
  width: fit-content;
  position: fixed;
  display: block;
  /* padding: 0.5rem 1rem; */
  color: #888;
  text-decoration: none;
  font-size: 22px;
}  
